Update claim of a plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/plans/{plan_uuid}/claim/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
  • uuid string Required
application/json

Body

  • claim_amount integer

    Claim amount in pennies.

  • claim_start_date string(date)

    Claim start date

  • claim_end_date string(date) | null

    Claim end date

  • claim_notes string | null

    Claim notes

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
PUT /api/v1/plans/{plan_uuid}/claim/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/claim/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"claim_amount":892176,"claim_start_date":"2024-06-11","claim_end_date":"2031-06-11","claim_notes":"Claim notes"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "claim_amount": 892176,
  "claim_start_date": "2024-06-11",
  "claim_end_date": "2031-06-11",
  "claim_notes": "Claim notes"
}
Response examples (200)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}